require('telescope').setup{
	defaults = {
    	-- Default configuration for telescope goes here:
    	-- config_key = value,
    	mappings = {
      	  	i = {
        		-- map actions.which_key to <C-h> (default: <C-/>)
        		-- actions.which_key shows the mappings for your picker,
        		-- e.g. git_{create, delete, ...}_branch for the git_branches picker
        		["<C-h>"] = "which_key"
      	  	}
    	}
	},
}
require('telescope').load_extension('fzf')

-- mappings --
local builtin = require('telescope.builtin')
vim.keymap.set('n', 'ff', builtin.find_files, {})
vim.keymap.set('n', 'fg', builtin.live_grep, {})
vim.keymap.set('n', 'fb', builtin.buffers, {})
vim.keymap.set('n', 'fh', builtin.help_tags, {})
